Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynFixed_var Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynFixed_var:

[legend]
Collaboration diagram for DynamicAny::DynFixed_var:

[legend]
List of all members.

## Public Methods
| DynFixed_var (void)
| DynFixed_var (DynFixed_ptr p)
| DynFixed_var (const DynFixed_var &)
| ~DynFixed_var (void)
DynFixed_var & | operator= (DynFixed_ptr)
DynFixed_var & | operator= (const DynFixed_var &)
DynFixed_ptr | operator-> (void) const
| operator const DynFixed_ptr & () const
| operator DynFixed_ptr & ()
DynFixed_ptr | in (void) const
DynFixed_ptr & | inout (void)
DynFixed_ptr & | out (void)
DynFixed_ptr | _retn (void)
DynFixed_ptr | ptr (void) const
## Static Public Methods
DynFixed_ptr | tao_duplicate (DynFixed_ptr)
void | tao_release (DynFixed_ptr)
DynFixed_ptr | tao_nil (void)
DynFixed_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DynFixed_var (const TAO_Base_var &rhs)
DynFixed_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DynFixed_ptr | ptr_

## Constructor & Destructor Documentation

DynamicAny::DynFixed_var::DynFixed_var | ( | void |  | ) |

DynamicAny::DynFixed_var::DynFixed_var | ( | DynFixed_ptr | p | ) | `[inline]`

DynamicAny::DynFixed_var::DynFixed_var | ( | const DynFixed_var & |  | ) |

DynamicAny::DynFixed_var::~DynFixed_var | ( | void |  | ) |

DynamicAny::DynFixed_var::DynFixed_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DynFixed_ptr DynamicAny::DynFixed_var::_retn | ( | void |  | ) |

DynFixed_ptr DynamicAny::DynFixed_var::in | ( | void |  | ) | const

DynFixed_ptr& DynamicAny::DynFixed_var::inout | ( | void |  | ) |

DynamicAny::DynFixed_var::operator const DynFixed_ptr & | ( |  | ) | const

DynamicAny::DynFixed_var::operator DynFixed_ptr & | ( |  | ) |

DynFixed_ptr DynamicAny::DynFixed_var::operator-> | ( | void |  | ) | const

DynFixed_var& DynamicAny::DynFixed_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DynFixed_var& DynamicAny::DynFixed_var::operator= | ( | const DynFixed_var & |  | ) |

DynamicAny::DynFixed_var & DynamicAny::DynFixed_var::operator= | ( | DynFixed_ptr | p | ) |

DynFixed_ptr& DynamicAny::DynFixed_var::out | ( | void |  | ) |

DynamicAny::DynFixed_ptr DynamicAny::DynFixed_var::ptr | ( | void |  | ) | const

DynFixed_ptr DynamicAny::DynFixed_var::tao_duplicate | ( | DynFixed_ptr |  | ) | `[static]`

DynFixed_ptr DynamicAny::DynFixed_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DynFixed_ptr DynamicAny::DynFixed_var::tao_nil | ( | void |  | ) | `[static]`

void DynamicAny::DynFixed_var::tao_release | ( | DynFixed_ptr |  | ) | `[static]`

CORBA::Object* DynamicAny::DynFixed_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DynFixed_ptr DynamicAny::DynFixed_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp